# Configuration file for the Sphinx documentation builder.
#
# This file only contains a selection of the most common options. For a full
# list see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html

# -- Path setup --------------------------------------------------------------

# If extensions (or modules to document with autodoc) are in another directory,
# add these directories to sys.path here. If the directory is relative to the
# documentation root, use os.path.abspath to make it absolute, like shown here.
#
# import os
# import sys
# sys.path.insert(0, os.path.abspath('.'))


# -- Project information -----------------------------------------------------

project = 'NDN Packet Format Specification'
copyright = '2013-2022, Named Data Networking Project'

# The short X.Y version.
version = '0.3'

# The full version, including alpha/beta/rc tags.
release = '0.3'


# -- General configuration ---------------------------------------------------

# If your documentation needs a minimal Sphinx version, state it here.
#
needs_sphinx = '4.0'

# Add any Sphinx extension module names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
# ones.
extensions = []

# The master toctree document.
master_doc = 'index'

# Add any paths that contain templates here, relative to this directory.
templates_path = ['_templates']

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This pattern also affects html_static_path and html_extra_path.
exclude_patterns = ['_build', 'Thumbs.db', '.DS_Store']


# -- Options for HTML output -------------------------------------------------

# The theme to use for HTML and HTML Help pages.  See the documentation for
# a list of builtin themes.
#
html_theme = 'furo'

# Add any paths that contain custom static files (such as style sheets) here,
# relative to this directory. They are copied after the builtin static files,
# so a file named "default.css" will overwrite the builtin "default.css".
html_static_path = ['_static']

html_title = '{} {}'.format(project, version)
html_logo = '_static/ndn-logo.svg'
html_copy_source = False
html_show_sourcelink = False

html_theme_options = {
    "light_css_variables": {
        "color-brand-primary": "#fd7800",
        "color-brand-content": "#fd7800",
    },
    "dark_css_variables": {
        "color-brand-primary": "#fd7800",
        "color-brand-content": "#fd7800",
    },
}

# Use ABNF syntax highlighting by default for code blocks.
highlight_language = 'abnf'

pygments_dark_style = 'material'
